Skip to content
Get API key (opens in a new tab)

Members

Get member tier progress

Returns a member’s progress toward the next loyalty tier.

GEThttps://api.cevoid.com/v2/members/{profile_id}/tier-progress

Authorizations

Authorizationbearer tokenheaderrequired

Send Authorization: Bearer <key>, where the key is your API key.

Path parameters

profile_idstringrequired

Cevoid profile ID.

  • Example: prf_abc123

Response

200 Successful response application/json

dataobjectrequired

Requested resource.

Properties (2)
current_tierobjectrequired

Current tier, or null.

Properties (4)
idstringrequired

Cevoid tier ID.

  • Example: tier_gold
namestringrequired

Display name of the tier.

  • Example: Gold
icon_urlstring

Optional icon representing the tier.

  • Example: https://cdn.cevoid.com/tiers/gold.png
expires_atstring<date-time>

When the current tier expires, if tier evaluations expire.

  • Example: 2026-12-31T23:59:59.999Z
next_tierobjectrequired

Next reachable tier, or null.

Properties (6)
idstringrequired

Cevoid tier ID.

  • Example: tier_gold
namestringrequired

Display name of the tier.

  • Example: Gold
icon_urlstring

Optional icon representing the tier.

  • Example: https://cdn.cevoid.com/tiers/gold.png
milestonesobject[]required

Progress required for the next tier.

Item properties (5)
typeenum<string>required

Metric used to qualify for the next tier.

  • Allowed values: POINTS AMOUNT_SPENT NUMBER_OF_PURCHASES
  • Example: POINTS
requirednumberrequired

Required amount for the next tier. AMOUNT_SPENT values use major currency units.

  • Example: 1000
currentnumberrequired

Current progress. AMOUNT_SPENT values use major currency units.

  • Example: 750
remainingnumberrequired

Remaining amount. AMOUNT_SPENT values use major currency units.

  • Example: 250
percent_completenumberrequired

Progress percentage, capped at 100.

  • Example: 75
entry_rewardsobject[]required

Rewards granted at the next tier.

Item properties (3)
typestringrequired

Reward type granted when the tier is reached.

  • Example: DISCOUNT_CODE
titlestringrequired

Human-readable reward title.

  • Example: 10% Off Reward
icon_urlstring

Optional icon representing the reward.

  • Example: https://cdn.cevoid.com/rewards/reward-icon.png
perksobject[]required

Perks associated with the next tier.

Item properties (1)
valuestringrequired

Human-readable perk text.

  • Example: Exclusive early access to launches
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

401 Unauthorized application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

403 Forbidden application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

404 Not found application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

422 Validation error application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

429 Too many requests application/json

additional_dataobjectrequired

Machine-readable rate-limit details.

Properties (2)
retry_after_secondsintegerrequired
  • Range: 0 <= x
{key}any
statusintegerrequired

HTTP status code.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable error description.

  • Example: Resource not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (6)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

Retry-Afterinteger

Seconds to wait before retrying the request

500 Internal server error application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available